Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

change the name

  • Loading branch information...
commit b5ed87257338bb0fa2433411e4689c0fabdffbcf 1 parent 8f35b6d
@rafaelss authored
View
2  Gemfile
@@ -1,4 +1,4 @@
source "http://rubygems.org"
-# Specify your gem's dependencies in ployml.gemspec
+# Specify your gem's dependencies in yads.gemspec
gemspec
View
4 bin/ployml
@@ -1,4 +0,0 @@
-#!/usr/bin/env ruby
-
-require "ployml"
-Ployml::Deployer.new(STDOUT).deploy
View
4 bin/yads
@@ -0,0 +1,4 @@
+#!/usr/bin/env ruby
+
+require "yads"
+Yads::Deployer.new(STDOUT).deploy
View
4 lib/ployml.rb → lib/yads.rb
@@ -1,7 +1,7 @@
require "net/ssh"
require "yaml"
-module Ployml
+module Yads
class ConfigNotFound < Errno::ENOENT; end
@@ -14,7 +14,7 @@ def deploy
begin
config = YAML.load(File.open("config/deploy.yml"))
rescue Errno::ENOENT
- raise Ployml::ConfigNotFound, "config/deploy.yml not found"
+ raise Yads::ConfigNotFound, "config/deploy.yml not found"
end
Net::SSH.start(config["host"], config["user"], :forward_agent => config["forward_agent"]) do |ssh|
View
2  lib/ployml/version.rb → lib/yads/version.rb
@@ -1,3 +1,3 @@
-module Ployml
+module Yads
VERSION = "0.0.3.pre"
end
View
4 test/fixtures/config/deploy.yml
@@ -1,7 +1,7 @@
host: rafaelss.com
user: deploy
forward_agent: true
-path: /Users/rafael/projects/ployml/test/fixtures
+path: /Users/rafael/projects/yads/test/fixtures
commands:
- chdir: cd /tmp/ployml
+ chdir: cd /tmp/yads
touch: touch test
View
18 test/test_ployml.rb → test/test_yads.rb
@@ -4,34 +4,34 @@
require "minitest/autorun"
require "mocha"
-class TestPloyml < MiniTest::Unit::TestCase
+class TestYads < MiniTest::Unit::TestCase
def setup
- @deployer = Ployml::Deployer.new(File.open("/dev/null", "w"))
+ @deployer = Yads::Deployer.new(File.open("/dev/null", "w"))
end
def test_check_path_abort
ssh = mock
- ssh.expects(:exec).with("cd /tmp/ployml/.git").yields("ch", :stderr, "data")
+ ssh.expects(:exec).with("cd /tmp/yads/.git").yields("ch", :stderr, "data")
ssh.expects(:exec).with("git clone git@repohost.com:myrepo.git .").yields("ch1", :stderr, "data1")
assert_raises(SystemExit) do
- @deployer.check_path(ssh, "/tmp/ployml", "git clone git@repohost.com:myrepo.git .")
+ @deployer.check_path(ssh, "/tmp/yads", "git clone git@repohost.com:myrepo.git .")
end
end
def test_check_path
ssh = mock
- ssh.expects(:exec).with("cd /tmp/ployml/.git").yields("ch", :stderr, "data")
+ ssh.expects(:exec).with("cd /tmp/yads/.git").yields("ch", :stderr, "data")
ssh.expects(:exec).with("git clone git@repohost.com:myrepo.git .").yields("ch1", :stdout, "data1")
- ssh.expects(:exec).with("cd /tmp/ployml")
+ ssh.expects(:exec).with("cd /tmp/yads")
ssh.expects(:loop)
- @deployer.check_path(ssh, "/tmp/ployml", "git clone git@repohost.com:myrepo.git .")
+ @deployer.check_path(ssh, "/tmp/yads", "git clone git@repohost.com:myrepo.git .")
end
def test_load_not_found_config_file
- assert_raises(Ployml::ConfigNotFound) do
+ assert_raises(Yads::ConfigNotFound) do
Dir.chdir("/tmp") do
@deployer.deploy
end
@@ -41,7 +41,7 @@ def test_load_not_found_config_file
def test_load_config_file
Dir.chdir(File.expand_path("../fixtures", __FILE__)) do
ssh = mock
- ssh.expects(:exec).with("cd /tmp/ployml && touch test")
+ ssh.expects(:exec).with("cd /tmp/yads && touch test")
ssh.expects(:loop)
@deployer.expects(:check_path).with(ssh)
View
10 ployml.gemspec → yads.gemspec
@@ -1,19 +1,17 @@
# -*- encoding: utf-8 -*-
$:.push File.expand_path("../lib", __FILE__)
-require "ployml/version"
+require "yads/version"
Gem::Specification.new do |s|
- s.name = "ployml"
- s.version = Ployml::VERSION
+ s.name = "yads"
+ s.version = Yads::VERSION
s.platform = Gem::Platform::RUBY
s.authors = ["Rafael Souza"]
s.email = ["me@rafaelss.com"]
- s.homepage = "http://github.com/rafaelss/ployml"
+ s.homepage = "http://github.com/rafaelss/yads"
s.summary = %q{Deploy your code using a YAML file}
s.description = %q{Simple deployment tool that uses a single YAML file to put your code live}
- # s.rubyforge_project = "ployml"
-
s.add_runtime_dependency "net-ssh", "~> 2.1.0"
s.add_development_dependency "minitest", "~> 2.0.2"
s.add_development_dependency "mocha", "~> 0.9.10"
Please sign in to comment.
Something went wrong with that request. Please try again.